
/** @addtogroup tdebug
 * @{
 */
/** @file
 */

#ifndef KERN_SYSTDEBUG_H_
#define KERN_SYSTDEBUG_H_

#include <arch/types.h>
#include <syscall/sysarg64.h>

unative_t sys_tdebug_attach_task(sysarg64_t *task_id, unative_t method);
unative_t sys_tdebug_detach_task(sysarg64_t *task_id);
unative_t sys_tdebug_continue_thread(sysarg64_t *thread_id);
unative_t sys_tdebug_get_syscall_args(sysarg64_t *thread_id,
	uintptr_t *buffer, unative_t *len);
unative_t sys_tdebug_set_event_mask(sysarg64_t *thread_id, unative_t ev_mask);
unative_t sys_tdebug_stop_thread(sysarg64_t *thread_id);
unative_t sys_tdebug_stop_task(sysarg64_t *task_id);

#endif

/** @}
 */
